WordPress.org

Support

Support » Plugins and Hacks » BackUpWordPress » [Resolved] [Plugin: BackUpWordPress] Installation error: chmod 777 –> wp-content?!

[Resolved] [Plugin: BackUpWordPress] Installation error: chmod 777 –> wp-content?!

  • I’ve looked through this forum and can’t see any posts related to my issue.

    First time installing this plugin. I’ve received this message:

    BackUpWordPress is almost ready. The backups directory can't be created because your wp-content directory isn't writable, run chown apache:apache /var/***/***/***/httpdocs/wp-content or chmod 777 /var/***/***/***/httpdocs/wp-content or create the folder yourself.

    It can’t really be that this plugin requires the whole wp-content folder to be world writable, right?!

    If this is true, I certainly will require consistent backups!

    I’m thinking it is more likely a generic message, and really the plug in is having trouble creating a folder or something.

    Is there anything I can do manually to assist the plugin and avoid leaving my whole site open for exploitation?

    http://wordpress.org/extend/plugins/backupwordpress/

Viewing 2 replies - 1 through 2 (of 2 total)
  • Nevermind.

    It was really quite simple. If anyone else has this issue, it is an easy fix.

    I created a folder within wp-content called backups with permissions set to 777. Done.

    Plugin Author Tom Willmot

    @willmot

    Hi Steve,

    Glad you got sorted.

    I’ve definitely be up for improving that message if you have any suggestions.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘[Resolved] [Plugin: BackUpWordPress] Installation error: chmod 777 –> wp-content?!’ is closed to new replies.
Skip to toolbar